



<div class="row" style="margin-top: 20px; margin-bottom: 20px">
  <div class="col-md-3" *ngFor="let asset of allAssets">
    <app-car-card [assetData]="asset" [showEditBtn]="false" [showCloseBtn]="false" [showGroupBtn]="true" *ngIf="asset.assetType === 'car'"></app-car-card>
    <app-driver-card [assetData]="asset"  [showEditBtn]="false" [showCloseBtn]="false" [showGroupBtn]="true" *ngIf="asset.assetType === 'driver'"></app-driver-card>
    <app-beacon-card [assetData]="asset"  [showEditBtn]="false" [showCloseBtn]="false" [showGroupBtn]="true" *ngIf="asset.assetType === 'beacon'"></app-beacon-card>
    <app-obd-card [assetData]="asset"  [showEditBtn]="false" [showCloseBtn]="false" [showGroupBtn]="true" *ngIf="asset.assetType === 'obdDevice'"></app-obd-card>
    <app-rf-tag-card [assetData]="asset" [showEditBtn]="false" [showCloseBtn]="false" [showGroupBtn]="true"  *ngIf="asset.assetType === 'rfId'"></app-rf-tag-card>
  </div>
</div>

<pagination-controls (pageChange)="p = $event"></pagination-controls>





